From db@blackbox.site Wed Jun 29 08:17:13 2005
Date: Wed, 29 Jun 2005 07:00:56 -0700
From: david-b@pacbell.net
To: gregkh@kroah.com
Subject: USB: omap_udc tweaks
Cc: linux-usb-devel@lists.sourceforge.net
Message-Id: <20050629140056.BBC55C8954@blackbox.site>


Minor OMAP updates that somehow got dropped from previous patches.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/gadget/omap_udc.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

--- gregkh-2.6.orig/drivers/usb/gadget/omap_udc.c	2005-07-01 13:44:07.000000000 -0700
+++ gregkh-2.6/drivers/usb/gadget/omap_udc.c	2005-07-01 14:17:49.000000000 -0700
@@ -2908,6 +2908,7 @@
  * make host resumes and VBUS detection trigger OMAP wakeup events; that
  * may involve talking to an external transceiver (e.g. isp1301).
  */
+
 static int omap_udc_suspend(struct device *dev, pm_message_t message, u32 level)
 {
 	u32	devstat;
@@ -2936,8 +2937,6 @@
 		return 0;
 
 	DBG("resume + wakeup/SRP\n");
-	udc->gadget.dev.parent->power.power_state = PMSG_ON;
-	udc->gadget.dev.power.power_state = PMSG_ON;
 	omap_pullup(&udc->gadget, 1);
 
 	/* maybe the host would enumerate us if we nudged it */
